Arbor 3: FSM & BT Graph Editor 3.1.2

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

List of all members
ParameterContainer Class Reference

パラメータを格納するためのコンポーネント。
GameObjectにアタッチして使用する。 More...

Inheritance diagram for ParameterContainer:

## Additional Inherited Members
Public Member Functions inherited from ParameterContainerInternal
Parameter | GetParameterFromIndex (int index)
| Parameterをインデックスから取得 More...
void | Refresh ()
| Editor only More...
Parameter | AddParam (string name, Parameter.Type type)
| パラメータを追加する。 More...
Parameter | GetParam (string name)
| 名前からパラメータを取得する。 More...
int | GetParamID (string name)
| 名前からパラメータのIDを取得する。 More...
Parameter | GetParam (int id)
| IDからパラメータを取得する。 More...
void | DeleteParam (Parameter parameter)
| パラメータを削除する。 More...
void | DeleteParam (string name)
| 名前を指定してパラメータを削除する。 More...
void | DeleteParam (int id)
| IDを指定してパラメータを削除する。 More...
string | MakeUniqueName (string name)
| 重複しない名前を生成する。 More...
bool | SetFloat (string name, float value)
| Float型の値を設定する。 More...
bool | SetFloat (int id, float value)
| Float型の値を設定する。 More...
bool | GetFloat (string name, out float value)
| Float型の値を取得する。 More...
bool | GetFloat (int id, out float value)
| Float型の値を取得する。 More...
bool | SetInt (string name, int value)
| Int型の値を設定する。 More...
bool | SetInt (int id, int value)
| Int型の値を設定する。 More...
bool | GetInt (string name, out int value)
| Int型の値を取得する。 More...
bool | GetInt (int id, out int value)
| Int型の値を取得する。 More...
bool | SetLong (string name, long value)
| Long型の値を設定する。 More...
bool | SetLong (int id, long value)
| Long型の値を設定する。 More...
bool | GetLong (string name, out long value)
| Long型の値を取得する。 More...
bool | GetLong (int id, out long value)
| Long型の値を取得する。 More...
bool | SetBool (string name, bool value)
| Bool型の値を設定する。 More...
bool | SetBool (int id, bool value)
| Bool型の値を設定する。 More...
bool | GetBool (string name, out bool value)
| Bool型の値を取得する。 More...
bool | GetBool (int id, out bool value)
| Bool型の値を取得する。 More...
bool | SetString (string name, string value)
| String型の値を設定する。 More...
bool | SetString (int id, string value)
| String型の値を設定する。 More...
bool | GetString (string name, out string value)
| String型の値を取得する。 More...
bool | GetString (int id, out string value)
| String型の値を取得する。 More...
bool | SetGameObject (string name, GameObject value)
| GameObject型の値を設定する。 More...
bool | SetGameObject (int id, GameObject value)
| GameObject型の値を設定する。 More...
bool | GetGameObject (string name, out GameObject value)
| GameObject型の値を取得する。 More...
bool | GetGameObject (int id, out GameObject value)
| GameObject型の値を取得する。 More...
bool | SetVector2 (string name, Vector2 value)
| Vector2型の値を設定する。 More...
bool | SetVector2 (int id, Vector2 value)
| Vector2型の値を設定する。 More...
bool | GetVector2 (string name, out Vector2 value)
| Vector2型の値を取得する。 More...
bool | GetVector2 (int id, out Vector2 value)
| Vector2型の値を取得する。 More...
bool | SetVector3 (string name, Vector3 value)
| Vector3型の値を設定する。 More...
bool | SetVector3 (int id, Vector3 value)
| Vector3型の値を設定する。 More...
bool | GetVector3 (string name, out Vector3 value)
| Vector3型の値を取得する。 More...
bool | GetVector3 (int id, out Vector3 value)
| Vector3型の値を取得する。 More...
bool | SetQuaternion (string name, Quaternion value)
| Quaternion型の値を設定する。 More...
bool | SetQuaternion (int id, Quaternion value)
| Quaternion型の値を設定する。 More...
bool | GetQuaternion (string name, out Quaternion value)
| Quaternion型の値を取得する。 More...
bool | GetQuaternion (int id, out Quaternion value)
| Quaternion型の値を取得する。 More...
bool | SetRect (string name, Rect value)
| Rect型の値を設定する。 More...
bool | SetRect (int id, Rect value)
| Rect型の値を設定する。 More...
bool | GetRect (string name, out Rect value)
| Rect型の値を取得する。 More...
bool | GetRect (int id, out Rect value)
| Rect型の値を取得する。 More...
bool | SetBounds (string name, Bounds value)
| Bounds型の値を設定する。 More...
bool | SetBounds (int id, Bounds value)
| Bounds型の値を設定する。 More...
bool | GetBounds (string name, out Bounds value)
| Bounds型の値を取得する。 More...
bool | GetBounds (int id, out Bounds value)
| Bounds型の値を取得する。 More...
bool | SetColor (string name, Color value)
| Color型の値を設定する。 More...
bool | SetColor (int id, Color value)
| Color型の値を設定する。 More...
bool | GetColor (string name, out Color value)
| Color型の値を取得する。 More...
bool | GetColor (int id, out Color value)
| Color型の値を取得する。 More...
bool | SetTransform (string name, Transform value)
| Transform型の値を設定する。 More...
bool | SetTransform (int id, Transform value)
| Transform型の値を設定する。 More...
bool | GetTransform (string name, out Transform value)
| Transform型の値を取得する。 More...
bool | GetTransform (int id, out Transform value)
| Transform型の値を取得する。 More...
bool | SetRectTransform (string name, RectTransform value)
| RectTransform型の値を設定する。 More...
bool | SetRectTransform (int id, RectTransform value)
| RectTransform型の値を設定する。 More...
bool | GetRectTransform (string name, out RectTransform value)
| RectTransform型の値を取得する。 More...
bool | GetRectTransform (int id, out RectTransform value)
| RectTransform型の値を取得する。 More...
bool | SetRigidbody (string name, Rigidbody value)
| Rigidbody型の値を設定する。 More...
bool | SetRigidbody (int id, Rigidbody value)
| Rigidbody型の値を設定する。 More...
bool | GetRigidbody (string name, out Rigidbody value)
| Rigidbody型の値を取得する。 More...
bool | GetRigidbody (int id, out Rigidbody value)
| Rigidbody型の値を取得する。 More...
bool | SetRigidbody2D (string name, Rigidbody2D value)
| Rigidbody2D型の値を設定する。 More...
bool | SetRigidbody2D (int id, Rigidbody2D value)
| Rigidbody2D型の値を設定する。 More...
bool | GetRigidbody2D (string name, out Rigidbody2D value)
| Rigidbody2D型の値を取得する。 More...
bool | GetRigidbody2D (int id, out Rigidbody2D value)
| Rigidbody2D型の値を取得する。 More...
Parameter | FindParameterContainsVariable (VariableBase variable)
| VariableBaseが属しているParameterの取得。 More...
void | DestroySubComponents ()
| 内部的に使用するメソッド。特に呼び出す必要はありません。 More...
Static Public Member Functions inherited from ParameterContainerInternal
static void | Destroy (ParameterContainerInternal parameterContainer)
| ParameterContainerInternalの破棄 More...
Properties inherited from ParameterContainerInternal
Parameter[] | parameters`[get]`
| パラメータの配列を取得。 More...
int | parameterCount`[get]`
| Parameterの数を取得。 More...
Properties inherited from ParameterContainerBase
ParameterContainerInternal | container`[get]`
| 実体のParameterContainerを返す。 More...
ParameterContainerInternal | defaultContainer`[get]`
| 元のParameterContainerを返す。 More...

## Detailed Description

パラメータを格納するためのコンポーネント。
GameObjectにアタッチして使用する。